summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdbrel5
-rwxr-xr-xgen-perl-pkg19
-rwxr-xr-xupdate-perl-pkg36
3 files changed, 31 insertions, 29 deletions
diff --git a/dbrel b/dbrel
index 4c17642..bf0e51b 100755
--- a/dbrel
+++ b/dbrel
@@ -1,3 +1,4 @@
#!/bin/bash
-ssh repos.archlinux.org /packages/db-update
-ssh repos.archlinux.org /community/db-update
+#ssh repos.archlinux.org /packages/db-update
+#ssh repos.archlinux.org /community/db-update
+pkgctl db update
diff --git a/gen-perl-pkg b/gen-perl-pkg
index 46e5d18..d5a02a8 100755
--- a/gen-perl-pkg
+++ b/gen-perl-pkg
@@ -2,30 +2,29 @@
set -e
for pkg in "$@"; do
- export MAINTAINER="Florian Pritz <bluewind@xinu.at>"
- targets=(~/arch/{community,extra})
- target_new=~/arch/community
+ export MAINTAINER="Florian Pritz <bluewind@archlinux.org>"
+ targets=(~/arch/pkgs)
+ target_new=~/arch/pkgs
found_pkg=0
genpkg "$pkg"
for target in "${targets[@]}"; do
- if [[ -f "$target/$pkg/trunk/PKGBUILD" ]]; then
+ if [[ -f "$target/$pkg/PKGBUILD" ]]; then
found_pkg=1
- vimdiff "$target/$pkg/trunk/PKGBUILD" "$HOME/pkg/dest/$pkg/PKGBUILD"
+ vimdiff "$target/$pkg/PKGBUILD" "$HOME/pkg/dest/$pkg/PKGBUILD"
fi
done
if ((!found_pkg)); then
- if [[ $PWD =~ ($HOME/arch/(community|extra)).* ]]; then
+ if [[ $PWD =~ ($HOME/arch/pkgs).* ]]; then
target_new="${BASH_REMATCH[1]}"
echo "Found target directory $target_new"
fi
- echo "Package not found, creating new in '$target_new/$pkg/trunk'"
- mkdir -p "$target_new/$pkg/"{trunk,repos}
- cp "$HOME/pkg/dest/$pkg/PKGBUILD" "$target_new/$pkg/trunk/"
+ echo "Package not found, creating new in '$target_new/$pkg/'"
+ cp "$HOME/pkg/dest/$pkg/PKGBUILD" "$target_new/$pkg/"
cd "$target_new"
- svn add "$pkg"
+ git add "$pkg"
fi
done
diff --git a/update-perl-pkg b/update-perl-pkg
index b8cd65f..621e6ee 100755
--- a/update-perl-pkg
+++ b/update-perl-pkg
@@ -4,35 +4,37 @@ set -euo pipefail
pkg=$1
-targets=(~/arch/{community,extra})
+targets=(~/arch/pkgs)
found_pkg=0
for target in "${targets[@]}"; do
- if [[ -f "$target/$pkg/trunk/PKGBUILD" ]]; then
+ if [[ -f "$target/$pkg/PKGBUILD" ]]; then
found_pkg=1
cd "$target/$pkg"
- svn up
- cd trunk
+ git pull --rebase --autostash
break
fi
done
if ((!found_pkg)); then
- echo "Package not found. Creating not supported here"
- exit 1
+ cd ~/arch/pkgs
+ pkgctl repo clone "$pkg"
+ cd "$pkg"
+ #echo "Package not found. Creating not supported here"
+ #exit 1
fi
-case "${target##*/}" in
- extra) relcmd=(extrapkg);;
- community) relcmd=(communitypkg);;
- *) echo "Unable to determine release command for target '$target'"; exit 1; ;;
-esac
+#case "${target##*/}" in
+ #extra) relcmd=(extrapkg);;
+ #community) relcmd=(communitypkg);;
+ #*) echo "Unable to determine release command for target '$target'"; exit 1; ;;
+#esac
gen-perl-pkg "$pkg"
-ch update 64
-ch cbuild 64
-checkpkg
-echo "About to release with command: ${relcmd[*]}"
+#ch update 64
+#ch cbuild 64
+pkgctl build
+echo "About to release"
read -r -p "Hit enter to release or ^C to abort"
-"${relcmd[@]}" "upstream update"
-
+#"${relcmd[@]}" "upstream update"
+pkgctl release --message "upstream update"